From c5863b6661267780e20f529edf4831e1e65aa6a3 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Mon, 31 Oct 2016 15:06:36 -0700
Subject: [PATCH 1005/1007] Fixup libstdc++ header search paths for older
 versions of Mac OS X

The subpaths were removed in Lion.  Leopard and Snow Leopard had darwin8
symlinks for compatibility.

https://llvm.org/bugs/show_bug.cgi?id=30858

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 lib/Driver/ToolChains/Darwin.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git llvm_master/tools/clang/lib/Driver/ToolChains/Darwin.cpp macports_master/tools/clang/lib/Driver/ToolChains/Darwin.cpp
index 5de7d7132d..165a331fe5 100644
--- llvm_master/tools/clang/lib/Driver/ToolChains/Darwin.cpp
+++ macports_master/tools/clang/lib/Driver/ToolChains/Darwin.cpp
@@ -1958,7 +1958,7 @@ void DarwinClang::AddClangCXXStdlibIncludeArgs(
                                                 "powerpc-apple-darwin10",
                                                 arch == llvm::Triple::ppc64 ? "ppc64" : "");
       IsBaseFound |= AddGnuCPlusPlusIncludePaths(DriverArgs, CC1Args, UsrIncludeCxx,
-                                                "4.0.0", "powerpc-apple-darwin10",
+                                                "4.0.0", "powerpc-apple-darwin8",
                                                  arch == llvm::Triple::ppc64 ? "ppc64" : "");
       break;
 
@@ -1970,7 +1970,7 @@ void DarwinClang::AddClangCXXStdlibIncludeArgs(
                                                 arch == llvm::Triple::x86_64 ? "x86_64" : "");
       IsBaseFound |= AddGnuCPlusPlusIncludePaths(DriverArgs, CC1Args, UsrIncludeCxx,
                                                 "4.0.0", "i686-apple-darwin8",
-                                                 "");
+                                                 arch == llvm::Triple::x86_64 ? "x86_64" : "");
       break;
 
     case llvm::Triple::arm:
-- 
2.21.0 (Apple Git-120)

